/******************************************************************************
 CPictureButton.h

		Interface for PictureButton class
		
		Written by Thomas J. Vilot
		
		Some optional portions copyright  Object Factory.
		
		Based on code copyright  THINK technologies.
	

 ******************************************************************************/

#define _H_CPictureButton

#include "CPicture.h"



class CPictureButton : public CPicture
{	
public:

	void 	IPictureButton( CView *anEnclosure, CBureaucrat *aSupervisor,
					short aHEncl, short aVEncl, short	width, short	height,
					SizingOption aHSizing, SizingOption aVSizing,
					short pictID, short disabledID, short pressedID);
					
	void	IPictureButtonX(void);
	void 	Draw( Rect *area);
	
	void 	DoClick( Point hitPt, short modifierKeys, long when);

	void 	SetClickCmd( long aCmd);
	long 	GetClickCmd( void);
	void	Activate(void);
	void	Deactivate(void);
	void	Dispose(void);
	

protected:
	Boolean		active;
	short		pictID, disabledID, pressedID;
	PicHandle	pictH, disabledPicH, pressedPicH;
	long		clickCmd;
	
	static BitMap	cMaskBitMap;
						
	virtual void 	DrawPict( Boolean fHilite);				
	virtual Boolean Track( void);
    
                                    /** Object I/O based code **/
public:
    virtual void        PutTo(CStream *aStream);
    virtual void        GetFrom(CStream *aStream);
};

